scala.tools.nsc.ast.Printers

# TreePrinter

#### class TreePrinter extends Global.TreePrinter

Source
  Printers.scala

Linear Supertypes
Global.TreePrinter, Global.TreePrinter, AnyRef, Any
Known Subclasses
CompactTreePrinter
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TreePrinter
2. TreePrinter
3. TreePrinter
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TreePrinter(out: PrintWriter)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Global.TreePrinter to any2stringadd[Global.TreePrinter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Global.TreePrinter, B)

   Implicit information
     This member is added by an implicit conversion from Global.TreePrinter to ArrowAssoc[Global.TreePrinter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def comment(body: ⇒ Unit): Unit

   Attributes
     protected
   Definition Classes
     TreePrinter

9. #### val commentsRequired: Boolean

   Attributes
     protected
   Definition Classes
     TreePrinter

10. #### def ensuring(cond: (Global.TreePrinter) ⇒ Boolean, msg: ⇒ Any): Global.TreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to Ensuring[Global.TreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (Global.TreePrinter) ⇒ Boolean): Global.TreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to Ensuring[Global.TreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): Global.TreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to Ensuring[Global.TreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): Global.TreePrinter

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to Ensuring[Global.TreePrinter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to StringFormat[Global.TreePrinter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### def indent(): Unit

    Definition Classes
      TreePrinter

21. #### var indentMargin: Int

    Attributes
      protected
    Definition Classes
      TreePrinter

22. #### val indentStep: Int

    Attributes
      protected
    Definition Classes
      TreePrinter

23. #### var indentString: String

    Attributes
      protected
    Definition Classes
      TreePrinter

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def parenthesize(condition: Boolean, open: String, close: String)(body: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

29. #### def print(args: Any*): Unit

    Definition Classes
      TreePrinter → TreePrinter → TreePrinter

30. #### def printAnnotations(tree: Global.MemberDef): Unit

    Definition Classes
      TreePrinter

31. #### def printBlock(stats: List[Global.Tree], expr: Global.Tree): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

32. #### def printBlock(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

33. #### def printCaseDef(tree: Global.CaseDef): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

34. #### def printColumn(ts: List[Global.Tree], start: String, sep: String, end: String): Unit

    Definition Classes
      TreePrinter

35. #### def printDefDef(tree: Global.DefDef, resultName: ⇒ String)(printTypeSignature: ⇒ Unit)(printRhs: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

36. #### def printFlags(flags: Long, privateWithin: String): Unit

    Definition Classes
      TreePrinter

37. #### def printFunction(tree: Global.Function)(printValueParams: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

38. #### var printIds: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

39. #### def printImplicitInParamsList(vds: List[Global.ValDef]): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

40. #### def printImport(tree: Global.Import, resSelect: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

41. #### var printKinds: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

42. #### def printLabelParam(p: Global.Ident): Unit

    Definition Classes
      TreePrinter

43. #### def printLabelParams(ps: List[Global.Ident]): Unit

    Definition Classes
      TreePrinter

44. #### var printMirrors: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

45. #### def printModifiers(tree: Global.Tree, mods: Global.Modifiers): Unit

    Definition Classes
      TreePrinter

46. #### def printOpt(prefix: String, tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

47. #### var printOwners: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

48. #### def printPackageDef(tree: Global.PackageDef, separator: String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

49. #### def printParam(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

50. #### def printPosition(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

51. #### var printPositions: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

52. #### def printRow(ts: List[Global.Tree], sep: String): Unit

    Definition Classes
      TreePrinter

53. #### def printRow(ts: List[Global.Tree], start: String, sep: String, end: String): Unit

    Definition Classes
      TreePrinter

54. #### def printSeq[a](ls: List[a])(printelem: (a) ⇒ Unit)(printsep: ⇒ Unit): Unit

    Definition Classes
      TreePrinter

55. #### def printSuper(tree: Global.Super, resultName: ⇒ String, checkSymbol: Boolean): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

56. #### def printThis(tree: Global.This, resultName: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

57. #### def printTree(tree: Global.Tree): Unit

    Definition Classes
      TreePrinter

58. #### def printTypeDef(tree: Global.TypeDef, resultName: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

59. #### def printTypeParams(ts: List[Global.TypeDef]): Unit

    Definition Classes
      TreePrinter

60. #### var printTypes: Boolean

    Attributes
      protected
    Definition Classes
      TreePrinter

61. #### def printTypesInfo(tree: Global.Tree): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

62. #### def printValDef(tree: Global.ValDef, resultName: ⇒ String)(printTypeSignature: ⇒ Unit)(printRhs: ⇒ Unit): Unit

    Attributes
      protected
    Definition Classes
      TreePrinter

63. #### def printValueParams(ts: List[Global.ValDef], inParentheses: Boolean): Unit

    Definition Classes
      TreePrinter

64. #### def println(): Unit

    Definition Classes
      TreePrinter

65. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

66. #### def toString(): String

    Definition Classes
      AnyRef → Any

67. #### def undent(): Unit

    Definition Classes
      TreePrinter

68. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

71. #### def withIds: TreePrinter.this.type

    Definition Classes
      TreePrinter

72. #### def withKinds: TreePrinter.this.type

    Definition Classes
      TreePrinter

73. #### def withMirrors: TreePrinter.this.type

    Definition Classes
      TreePrinter

74. #### def withOwners: TreePrinter.this.type

    Definition Classes
      TreePrinter

75. #### def withPositions: TreePrinter.this.type

    Definition Classes
      TreePrinter

76. #### def withTypes: TreePrinter.this.type

    Definition Classes
      TreePrinter

77. #### def withoutIds: TreePrinter.this.type

    Definition Classes
      TreePrinter

78. #### def withoutKinds: TreePrinter.this.type

    Definition Classes
      TreePrinter

79. #### def withoutMirrors: TreePrinter.this.type

    Definition Classes
      TreePrinter

80. #### def withoutOwners: TreePrinter.this.type

    Definition Classes
      TreePrinter

81. #### def withoutPositions: TreePrinter.this.type

    Definition Classes
      TreePrinter

82. #### def withoutTypes: TreePrinter.this.type

    Definition Classes
      TreePrinter

83. #### def →[B](y: B): (Global.TreePrinter, B)

    Implicit information
      This member is added by an implicit conversion from Global.TreePrinter to ArrowAssoc[Global.TreePrinter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.TreePrinter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.TreePrinter to any2stringadd[Global.TreePrinter]

### Inherited by implicit conversion StringFormat from Global.TreePrinter to StringFormat[Global.TreePrinter]

### Inherited by implicit conversion Ensuring from Global.TreePrinter to Ensuring[Global.TreePrinter]

### Inherited by implicit conversion ArrowAssoc from Global.TreePrinter to ArrowAssoc[Global.TreePrinter]

### Ungrouped